Bug 1219489 - Please update sigil to upstream 0.8.6
Summary: Please update sigil to upstream 0.8.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sigil
Version: 22
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-07 13:19 UTC by Nicholas Kudriavtsev
Modified: 2016-03-09 20:13 UTC (History)
3 users (show)

Fixed In Version: sigil-0.9.3-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-09 15:54:19 UTC


Attachments (Terms of Use)
spec file to build for Fedora 21 & 22 (6.03 KB, text/plain)
2015-05-07 13:19 UTC, Nicholas Kudriavtsev
no flags Details

Description Nicholas Kudriavtsev 2015-05-07 13:19:40 UTC
Created attachment 1023108 [details]
spec file to build for Fedora 21 & 22

Please update sigil to upstream 0.8.6.

Spec file is tested under Fedora 21 and 22. Sigil builds and runs fine.

Comment 1 Dan Horák 2015-05-07 13:34:18 UTC
IIRC they started to bundle a fork of a fork of some lib and that needs to be resolved first ...

Comment 2 Nicholas Kudriavtsev 2015-05-07 14:29:32 UTC
Those libs don't get into rpm nevertheless sigil builds and runs. I edited with it rather big ebook with no issue.

Comment 3 Jonathan Wakely 2016-01-29 01:38:14 UTC
The release in rawhide doesn't build any more, because it uses boost::bind which changed in Boost 1.60 to put the _1 placeholder in a different namespace.

I'll add a quick patch to resolve it, but a longer-term solution would be to use a newer upstream release:

https://github.com/Sigil-Ebook/Sigil/releases

Current releases use C++11 std::bind, removing the dependency on boost::bind.

Also, the URL in the spec file should probably be updated, as the code.google.com site is no longer in use.

Comment 4 Jonathan Wakely 2016-01-29 02:07:36 UTC
I also see these warnings in rawhide:

/builddir/build/BUILD/Sigil-0.8.1/src/Sigil/BookManipulation/Book.cpp: In member function 'HTMLResource& Book::CreateEmptyHTMLFile(HTMLResource&)':
/builddir/build/BUILD/Sigil-0.8.1/src/Sigil/BookManipulation/Book.cpp:266:19: warning: the compiler can assume that the address of 'resource' will never be NULL [-Waddress]
     if (&resource != NULL) {
         ~~~~~~~~~~^~~~
/builddir/build/BUILD/Sigil-0.8.1/src/Sigil/BookManipulation/Book.cpp: In member function 'void Book::MoveResourceAfter(HTMLResource&, HTMLResource&)':
/builddir/build/BUILD/Sigil-0.8.1/src/Sigil/BookManipulation/Book.cpp:283:24: warning: the compiler can assume that the address of 'from_resource' will never be NULL [-Waddress]
     if (&from_resource == NULL || &to_resource == NULL) {
         ~~~~~~~~~~~~~~~^~~~
/builddir/build/BUILD/Sigil-0.8.1/src/Sigil/BookManipulation/Book.cpp:283:48: warning: the compiler can assume that the address of 'to_resource' will never be NULL [-Waddress]
     if (&from_resource == NULL || &to_resource == NULL) {
                                   ~~~~~~~~~~~~~^~~~

The code may have undefined behaviour if it relies on references being bound to invalid objects. I don't know if that's fixed upstream.

Comment 5 Hans de Goede 2016-02-24 17:04:50 UTC
(In reply to Dan Horák from comment #1)
> IIRC they started to bundle a fork of a fork of some lib and that needs to
> be resolved first ...

I guess you're talking about the bundled copy of gumbo ? They have good reasons for that, see:

https://github.com/Sigil-Ebook/Sigil/blob/master/internal/about.md

And under the new bundling guidelines, we can bundle libs like this using our own discretion. So I'm preparing an update to 0.9.3 as we speak. 0.9.3 actually is quite nice when it comes to using systmelibs other then gumbo.

Note that sigil no longer directly depends on FlightCrew, instead there now is a FlightCrew plugin, I'm also looking into updating the FlightCrew pkg and making it provide the plugin. This means we can get rid of the hack to build FlightCrew as a shared lib, but it looks like we still need to patch flightcrew to use system-libs for zlib, xerces, etc.

Comment 6 Fedora Update System 2016-02-26 16:23:33 UTC
sigil-0.9.3-1.fc23 FlightCrew-0.9.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-53224be960

Comment 7 Fedora Update System 2016-02-28 13:55:52 UTC
FlightCrew-0.9.1-1.fc23, sigil-0.9.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-53224be960

Comment 8 Fedora Update System 2016-03-09 15:54:17 UTC
FlightCrew-0.9.1-1.fc23, sigil-0.9.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-03-09 20:13:18 UTC
FlightCrew-0.9.1-1.fc23, sigil-0.9.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.